diff --git a/changelog b/changelog
index 83bec40..a5dcef6 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20091118 tpd src/axiom-website/patches.html 20091118.01.tpd.patch
+20091118 tpd src/input/testprob.input test bad result from solve
 20091115 tpd src/axiom-website/patches.html 20091115.01.tpd.patch
 20091115 tpd src/interp/patches.lisp code ports to bookvol5
 20091115 tpd src/interp/nci.lisp  code ports to bookvol5
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 272cc18..651713e 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -2261,5 +2261,7 @@ books/bookvol10.3 clean up bootstrap lisp code format<br/>
 src/input/unit-macro unit test macro commands<br/>
 <a href="patches/20091115.01.tpd.patch">20091115.01.tpd.patch</a>
 books/bookvol5 \calls, \uses, and code ports<br/>
+<a href="patches/20091118.01.tpd.patch">20091118.01.tpd.patch</a>
+src/input/testprob.input test bad result from solve<br/>
  </body>
 </html>
diff --git a/src/input/Makefile.pamphlet b/src/input/Makefile.pamphlet
index 1f4500c..da19b9e 100644
--- a/src/input/Makefile.pamphlet
+++ b/src/input/Makefile.pamphlet
@@ -391,7 +391,7 @@ REGRES= algaggr.regress algbrbf.regress  algfacob.regress alist.regress  \
     string.regress    strtbl.regress   summation.regress \
     symbol.regress    t111293.regress  table.regress    tancot.regress \
     tanhcoth.regress  tanatan.regress  tbagg.regress    test.regress \
-    textfile.regress  torus.regress    tuplebug.regress \
+    testprob.regress  textfile.regress torus.regress    tuplebug.regress \
     tpiezas001.regress \
     tpiezas002.regress \
     triglim.regress   tsetcatvermeer.regress            tutchap1.regress \
@@ -709,6 +709,7 @@ FILES= ${OUT}/algaggr.input  ${OUT}/algbrbf.input    ${OUT}/algfacob.input \
        ${OUT}/synonym.input  ${OUT}/t111293.input \
        ${OUT}/table.input    ${OUT}/tancot.input     ${OUT}/tanhcoth.input \
        ${OUT}/tanatan.input  ${OUT}/tbagg.input      ${OUT}/test.input \
+       ${OUT}/testprob.input \
        ${OUT}/tetra.input    ${OUT}/textfile.input   ${OUT}/tknot.input \
        ${OUT}/tpiezas001.input \
        ${OUT}/tpiezas002.input \
@@ -1078,7 +1079,7 @@ DOCFILES= \
   ${DOC}/tbagg.input.dvi       \
   ${DOC}/test.input.dvi        ${DOC}/tetra.input.dvi      \
   ${DOC}/textfile.input.dvi    ${DOC}/tknot.input.dvi      \
-  ${DOC}/torus.input.dvi \
+  ${DOC}/torus.input.dvi       ${DOC}/testprob.input.dvi   \
   ${DOC}/tpiezas001.input.dvi \
   ${DOC}/tpiezas002.input.dvi \
   ${DOC}/tree.input.dvi       \
diff --git a/src/input/testprob.input.pamphlet b/src/input/testprob.input.pamphlet
new file mode 100644
index 0000000..14da2d2
--- /dev/null
+++ b/src/input/testprob.input.pamphlet
@@ -0,0 +1,105 @@
+\documentclass{article}
+\usepackage{axiom}
+\begin{document}
+\title{\$SPAD/src/input testprob.input}
+\author{Mark Clements}
+\maketitle
+\begin{abstract}
+\end{abstract}
+\eject
+\tableofcontents
+\eject
+\begin{chunk}{*}
+)set break resume
+)spool testprob.output
+)set message test on
+)set message auto off
+)clear all
+ 
+--S 1 of 9
+ex:=(3/7)^(4*x-5)*(7/3)^(2*x-7)=1
+--R
+--R         3 4x - 5 7 2x - 7
+--R   (1)  (-)      (-)      = 1
+--R         7        3
+--R                                            Type: Equation Expression Integer
+--E 1
+
+--S 2 of 9
+rule1:=(rule log(7/3)==-log(3/7))
+--R
+--R            7           3
+--R   (2)  log(-) == - log(-)
+--R            3           7
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E 2
+
+--S 3 of 9
+rule1 rhs solve(map(expandLog,map(log,ex)),x).1
+--R
+--R   (3)  - 1
+--R                                                     Type: Expression Integer
+--E 3
+
+--S 4 of 9
+rule1 rhs solve(expandLog log lhs ex,x).1
+--R
+--R   (4)  - 1
+--R                                                     Type: Expression Integer
+--E 4
+
+--S 5 of 9
+rule2:=rule((a/b)^c*(b/a)^d == (a/b)^(c-d))
+--R
+--R            a c b d        a - d + c
+--I   (5)  %P (-) (-)  == %P (-)
+--R            b   a          b
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E 5
+
+--S 6 of 9
+solve((rule2 lhs ex)=(rhs ex),x)
+--R
+--R   (6)  [x= - 1]
+--R                                       Type: List Equation Expression Integer
+--E 6
+
+--S 7 of 9
+res:=solve(ex,x)
+--R
+--R   (7)  []
+--R                                       Type: List Equation Expression Integer
+--E 7
+
+\end{chunk}
+Note that Fricas returns an answer for this. See SOLVETRA.spad
+\begin{chunk}{*}
+--S 8 of 9
+res1:=normalize rhs(res.1)
+--R 
+--R 
+--RDaly Bug
+--R   >> Error detected within library code:
+--R   index out of range
+--R
+--R   Continuing to read the file...
+--R
+--E 8
+
+--S 9 of 9
+eval(ex,x=res1)
+--R
+--R         3 4res1 - 5 7 2res1 - 7
+--R   (8)  (-)         (-)         = 1
+--R         7           3
+--R                                            Type: Equation Expression Integer
+--E 9
+)spool 
+)lisp (bye)
+ 
+\end{chunk}
+\eject
+\begin{thebibliography}{99}
+\bibitem{1} nothing
+\end{thebibliography}
+\end{document}
